import os

from izzylib import JsonConfig, DotDict, Path, logging, random_gen


logging.set_config('level', os.environ.get('LOG_LEVEL', 'INFO'))
scriptpath = Path(__file__).resolve().parent
datapath = Path('~/.config/barkshark/pypanel').expanduser()
development = logging.get_config('level') > logging.Levels.INFO
password = os.environ.get('PASSWORD', random_gen())


path = DotDict(
	script = scriptpath,
	data = datapath,
	log = datapath.join('logs'),
	services = datapath.join('services')
)


config = JsonConfig(datapath.join('config.json'),
	host = '0.0.0.0' if development else 'localhost',
	port = 8080,
	pass_protect = False
)

if not config.load():
	config.save()


for key in ['log', 'services']:
	path[key].mkdir()
